package com.yem.em.ass.assatlasdet.op;

import com.yem.em.ass.assatlasdet.validator.AssAtlasdetDeletevalidatorEdit;
import kd.bos.entity.plugin.AbstractOperationServicePlugIn;
import kd.bos.entity.plugin.AddValidatorsEventArgs;
import kd.bos.entity.plugin.PreparePropertysEventArgs;

import java.util.List;

/**
 * @author zhouc
 * @date 2024/1/13 18:00
 * @className AssAtlasdetDeleteOpEdit
 * @description 总成图册明细【删除】服务插件
 */
public class AssAtlasdetDeleteOpEdit extends AbstractOperationServicePlugIn {
    @Override
    public void onPreparePropertys(PreparePropertysEventArgs e) {
        super.onPreparePropertys(e);
        List<String> keys = e.getFieldKeys();
        keys.add("createorg");
        keys.add("number");
        keys.add("name");
        keys.add("yem_issup");
        keys.add("yem_entryentity.yem_partnumber");
        keys.add("yem_entryentity.yem_iscomp");
        keys.add("yem_entryentity.yem_compid");
    }


    @Override
    public void onAddValidators(AddValidatorsEventArgs e) {
        super.onAddValidators(e);
        e.addValidator(new AssAtlasdetDeletevalidatorEdit());
    }
}
